# LE REPERTOIRE GENERIQUEWIFI

Mise à jour le 7/04/2024

Public : STI2N SIN

Ressource : Fiche guide - Communication entre un navigateur et une carte Arduino

Version des biliothèques 
  - JQWidgets : 16.0.0, 
  - jQuery : 1.12.4

Tests : à faire sur le serveur NasSIN (**192.168.231.187/~login/**) et sur le Raspberry Pi du groupe de projet (**@Ip/nomprojet/**).

---

## RÔLES

* Utilisé par TOUS les membres du groupe de projet, le répertoire GENERIQUEWIFI garantit que les chemins placés dans les fichiers .html ou .php seront compatibles lors de la mise en commun des travaux individuels, évitant ainsi de longues heures de renommage. <br>
Le nom **GENERIQUEWIFI** doit être changé par le **nom du projet** (en minuscules et sans accent).

* Le répertoire contient un exemple de widget GAUGE et deux boutons destinés à communiquer avec une carte **Arduino** (**MKR WIFI 1010**).

![ex](images/exemple.png)

## PRINCIPE RETENU POUR LA COMMUNICATION NAVIGATEUR < -- > ARDUINO

![com](images/communication.png)

## ORGANISATION

### Répertoires

**data** : réservé aux données à partager entre le site PC et le site mobile.

**mobile** : réservé aux fichiers du site mobile.

**scripts** : contient les fichiers .js et .php

**styles** : réservé aux feuilles de style du site PC.

### Fichiers

**scripts/ecrirevalA.php** : assure la communication entre le Raspberry Pi et la carte Arduino. <br>
<em>Consignes : A renommer avec le nom de votre grandeur physique précédé du mot ecrire (sans accent, ni majuscule, ni espace).<br>Exemple : ecriretemperature.php</em>

**scripts/lireval1.php** : assure la communication entre le Raspberry Pi et la carte Arduino. <br>
<em>Consignes : A renommer avec le nom de votre grandeur physique précédé du mot lire (sans accent, ni majuscule, ni espace). <br> Exemple : liretemperature.php</em>

**scripts/generique.js** : exemple de code jQuery pour une jauge et deux boutons. <br>
<em>Consignes : A renommer avec le nom de votre grandeur physique (sans accent, ni majuscule, ni espace). <br> Exemple : temperature.js</em>

**styles/style.css** : feuille de style du site PC.

**styles/stylegrandeurphysique.css** : feuille de style de votre page personnelle. <br>
<em>Consignes : A renommer avec le nom de votre grandeur physique (sans accent, ni majuscule, ni espace).<br> Exemple : temperature.css</em>

**outilgenerique.html** : page HTML permettant d'accéder à l'exemple d'outil graphique (jauge + boutons). <br>
<em>Consignes : A renommer avec le nom de votre grandeur physique précédé du mot outil (sans accent, ni majuscule, ni espace).<br> Exemple : outiltemperature.html</em>

## INSTALLATION

Le répertoire doit être placé sur un serveur Apache avec PHP et cURL installés (en développement : NAS_SIN, final : Raspberry Pi).

## TESTS

La console du navigateur est accessible avec la touche F12

* Exemple de durée d'une requête d'**acquisition** de la température

![time](images/timing.png)
